Name:		mdk-check-update
Summary:	Tool to notify updates of urpmi media
Version:	0.1.0
Release:	1mdk
Url:		http://olivierblin.free.fr/mdk-check-update/
Source:		mdk-check-update-%{version}.tar.bz2
Group:		Graphical desktop/Other
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is an applet that notifies updates of urpmi media.
Currently, it only supports ftp and rsync media, whithout proxy.
 
%package common
Summary:        Common files for %{name}.
Group:          Graphical desktop/Other

%description common
This are the common files from %{name},
an applet to notify updates of urpmi media.

%package gnome
Summary:        Mdk-check-update GNOME notifier.
Group:          Graphical desktop/Other
Provides:	mdk-check-update

Requires: gnome-python, gnome-python-canvas, libglib2.0_0
Requires: mdk-check-update-common
BuildRequires: pygtk2.0-devel, python-devel, libglib2.0_0-devel, libgtk+2.0_0-devel

%description gnome
This is the GNOME version of %{name}, a urpmi media updates notifier.
It uses the notification area, so it should work on all
freedesktop.org compatible desktops (including GNOME, KDE, Rox).

%prep
%setup -q

%build

%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}/
cp icons/*.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}/
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}
cp trayicon.so $RPM_BUILD_ROOT%{_libdir}/%{name}/
cp pygspawn.so $RPM_BUILD_ROOT%{_libdir}/%{name}/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp mdk_check_update_common.py $RPM_BUILD_ROOT%{_datadir}/%{name}/
cp mdk_check_update_common.pyc $RPM_BUILD_ROOT%{_datadir}/%{name}/
cp mdk_check_update_gnome.py $RPM_BUILD_ROOT%{_datadir}/%{name}/
mkdir -p $RPM_BUILD_ROOT%{_sbindir}/
cp g-update-urpm-sources.pl $RPM_BUILD_ROOT%{_sbindir}/
mkdir -p $RPM_BUILD_ROOT%{_bindir}/
cd $RPM_BUILD_ROOT%{_bindir} && ln -s ../share/%{name}/mdk_check_update_gnome.py mdk-check-update-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files common
%defattr(-, root, root)
%doc README
%dir %{_datadir}/pixmaps/%{name}/
%{_datadir}/pixmaps/%{name}/*.png
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/pygspawn.so
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/mdk_check_update_common.py
%{_datadir}/%{name}/mdk_check_update_common.pyc

%files gnome
%defattr(-, root, root)
%doc README
%{_libdir}/%{name}/trayicon.so
%{_datadir}/%{name}/mdk_check_update_gnome.py
%{_bindir}/mdk-check-update-gnome
%{_sbindir}/g-update-urpm-sources.pl

%changelog
* Sun Aug 10 2003 Olivier Blin <oliv.blin@laposte.net> 0.1.0-1mdk
- added perl script adapted from Software Manager
- click on a medium name to update it
- dialog box to choose media to update
- misc bugfixes (python 2.3, ftp media)

* Thu Aug 07 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.0.2-1mdk
- From Olivier Blin <oliv.blin@laposte.net>
    - it's not an applet anymore, use the notification area
      (thanks Frdric Crozat)
    - use anonymous@$HOSTNAME as e-mail address for anonymous ftp login
    - rsync support
    - errm, it's not a noarch package

* Thu Jul 24 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.0.1-1mdk 
- From Olivier Blin <oliv.blin@laposte.net>
    - Initial release for Mandrake
- BuildArch: noarch
